/*
 *  Another ALSA Output plugin for xmms
 *  Copyright (c) by Fumihiko Murata <fmurata@p1.tcnet.ne.jp>
 *
 *  Contains code Copyright (c) 1998-1999
 *    Mikael Alm, Olle Hallnas, Thomas Nilsson and 4Front Technologies
 *    Martin Dahl, Anders Hermansen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include "ALSA.h"

OutputPlugin alsa_op=
{
	NULL,
	NULL,
	"Another ALSA Driver " VERSION,
	alsa_init,
	alsa_about,
	alsa_configure,
	alsa_get_volume,
	alsa_set_volume,
	alsa_open,
	alsa_write,
	alsa_close,
	alsa_flush,
	alsa_pause,
	alsa_free,
	alsa_playing,
	alsa_get_output_time,
	alsa_get_written_time,
};

OutputPlugin *get_oplugin_info(void)
{
	return &alsa_op;
}
